git @ Cat's Eye Technologies ZOWIE / resurrect-rpython-build
Update info about `fa-under-pty`. Chris Pressey 4 months ago
1 changed file(s) with 3 addition(s) and 3 deletion(s). Raw diff Collapse all Expand all
0 This Falderal fixture tests the compiled-with-RPython version of the ZOWIE
0 This Falderal appliance tests the compiled-with-RPython version of the ZOWIE
11 reference interpreter.
22
3 This requires `fa-under-pty`, which is a part of Falderal version 0.10.
3 This requires `fa-under-pty`, which is a part of Falderal since version 0.10.
44
55 It requires `fa-under-pty` because, for whatever reason, executables produced
6 by RPython from PyPy version 2.3.1 do not handle having their stdout redirected
6 by RPython from PyPy version 7.3.5 do not handle having their stdout redirected
77 very well. Specifically, they dump core. It is for this very reason that
88 `fa-under-pty` was written, in fact.
99